Description

Intro: If you have great memory, and you remember all rule properly to be used, perhaps this issue not for You - You are ideal 

Anyway:

1) Create a task for a Redmine Issue

2) Create comment for a task

3) Vote [for | against] #issue_number (especially need to parse if word “on is entered with “vote” word”, other wise it will be new task,

and AGAIN without confirmation)

There are places where we should add confirmation to continue processes

And I believe that will find other places where we need confirmation.

WOULD BE GREAT at least to have this functionality as User Customized (switch on|off)

I know that confirmation on every steps will be annoying, but anyway - SYSTEM should be perfect

And I think it is better to re-ask user, then insert new records to database, wait when user understand that he was failed

with creation, and then delete fail record from database.

Please vote for the FR, cause a.lesyuk needs it a lot.

History

#1 - 12 Oct 2010 12:41 - Andriy Lesyuk

Just a note - when creating a task Orangutan does not write anything to the database... It only does when closing the task.

#2 - 14 Oct 2010 16:39 - Andriy Lesyuk

- Priority changed from Major to Minor

#3 - 15 Oct 2010 18:38 - Andriy Lesyuk

- Target version set to 1.04

#4 - 22 Oct 2010 19:49 - Andriy Lesyuk

- Start date deleted (12 Oct 2010)

- Target version deleted (1.04)

I believe there should some other way to improve this... Postponing fixing this issue for a “better times”. I guess there should be some architecture

improvements e.g. modes - some special task description mode will behave like current, another mode can ask for confirmation.

Shortly - I need to think more...

#5 - 08 Nov 2010 16:42 - Andriy Lesyuk

- Status changed from Open to Incomplete
I believe this issue should be fixed in some other way... Not sure which one however... for now... So setting “Incomplete”. Vote for this issue if you

want it to be done in the way described here...

#6 - 03 Feb 2011 17:09 - Andriy Lesyuk

- Subject changed from Confirmation process to Confirm before taking text as a task/entry description

#7 - 01 Mar 2011 14:41 - Andriy Lesyuk

- Tracker changed from Feature to Improvement

- Project changed from Orangutan to Orangutan::Redmine

- Category deleted (Core)
